Ticket Workflows as independent entities.

2010-09-20 10:13 - Joël Lamotte

Status: Closed Start date: 2010-09-20

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Issues workflow Estimated time: 0.00 hour

Target version:    

Resolution: Duplicate   

Description

This is a feature I proposed to TRAC for the 0.13 version that will allow managing multiple projects and subprojects (

http://trac.edgewall.org/wiki/TracDev/Proposals/MultipleProject#Workflow) . As Redmine already have this feature, I think it could

benefit from this idea as well :

Currently, ticket workflows are managed once for all the projects (or hierarchically if I understood well?). The problem with this is that

it's hard to have at the same time separate specific workflows for some special projects and general workflows for several other

projects.

Hierarchical organisation, like inheritance in some cases, don't solve correctly this problem. As often, composition is a better choice.

The idea would be to "give names" to workflows, making them separate entities that would be editted separately from the projects.

Then for each project, the manager would just have to set a workflow (in a list) for the project, maybe using this workflow for one or

several projects. Workflows should be isolated.

A separate edition of workflow would allow the user to have the hability to define state transitions between different workflows, maybe

by setting explicitely wich state in workflow A correspond to witch state in workflow B and what would be the default state if nothing is

explicitely stated between two workflows.

Related issues:

Is duplicate of Redmine - Feature #973: Assign different status sets and work... New 2008-04-02

History

#1 - 2011-03-24 08:53 - Toshi MARUYAMA

- Category set to Issues workflow

#2 - 2013-01-12 17:54 - Daniel Felix

- Status changed from New to Closed

- Resolution set to Duplicate

This is a duplicate of #973.

I close this one.
